*** plsql.sgml	Sat Jan  6 20:04:15 2001
--- plsql.sgml.modi	Sat Jan  6 20:01:49 2001
***************
*** 488,505 ****
        <listitem>
         <cmdsynopsis>
          <command>EXECUTE</command>
!         <arg choice="req"><replaceable class="command">query</replaceable></arg>
         </cmdsynopsis>
! 
         <para>
          Unlike all other queries in PL/pgSQL, a
          <replaceable>query</replaceable> run by an EXECUTE statement
          is not prepared and saved just once during the life of the
          server.  Instead, the <replaceable>query</replaceable> is
!         prepared each time the statement is run. This allows the
!         <replaceable>query</replaceable> to be dynamically created
          within the procedure to perform actions on variable tables and
          fields.
         </para>
  
         <para>
--- 488,515 ----
        <listitem>
         <cmdsynopsis>
          <command>EXECUTE</command>
!         <arg choice="req"><replaceable class="command">query-string</replaceable></arg>
         </cmdsynopsis>
! 	   
! 	   <para>
!        where <replaceable>query-string</replaceable> is a string
! 	   of type TEXT containing the <replaceable>query</replaceable> to be executed.
!        </para>
! 	    
         <para>
          Unlike all other queries in PL/pgSQL, a
          <replaceable>query</replaceable> run by an EXECUTE statement
          is not prepared and saved just once during the life of the
          server.  Instead, the <replaceable>query</replaceable> is
!         prepared each time the statement is run. The
!         <replaceable>query-string</replaceable> can be dynamically created
          within the procedure to perform actions on variable tables and
          fields.
+        </para>
+ 		
+        <para>
+ 		The results from SELECT queries are discarded by EXECUTE unless
+ 		SELECT INTO is used to save the results into a table.
         </para>
  
         <para>
